Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoEnvironment Class Reference
[Nodes]

`#include <Inventor/nodes/SoEnvironment.h>`

Inheritance diagram for SoEnvironment:

List of all members.

## Detailed Description

The SoEnvironment class is a node for specifying global rendering parameters.

This node type provides the application programmer with the ability to set global parameters influencing lighting and fog.

## Public Types
enum | FogType { NONE = SoEnvironmentElement::NONE, HAZE = SoEnvironmentElement::HAZE, FOG = SoEnvironmentElement::FOG, SMOKE = SoEnvironmentElement::SMOKE }
## Public Member Functions
| SoEnvironment (void)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | callback (SoCallbackAction *action)
## Static Public Member Functions
void | initClass (void)
## Public Attributes
SoSFFloat | ambientIntensity
SoSFColor | ambientColor
SoSFVec3f | attenuation
SoSFEnum | fogType
SoSFColor | fogColor
SoSFFloat | fogVisibility
## Protected Member Functions
virtual | ~SoEnvironment ()

## Member Enumeration Documentation

enum SoEnvironment::FogType

  | Enumeration of available types of fog. Enumeration values:
  NONE | No fog. Visibility will be equal for all objects, independent of distance to camera.
  HAZE | Fog where visibility will decrease linearly with distance to camera.
  FOG | Fog where visibility will decrease exponentially with distance to camera.
  SMOKE | Fog where visibility will decrease exponentially with the square of the distance to camera (simulating really thick fog).

## Constructor & Destructor Documentation

SoEnvironment::SoEnvironment | ( | void |  | ) |

| Constructor.

SoEnvironment::~SoEnvironment | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoEnvironment::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode.

void SoEnvironment::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode.

void SoEnvironment::callback | ( | SoCallbackAction * | action | ) | `[virtual]`

| Action method for SoCallbackAction. Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph. Reimplemented from SoNode.

## Member Data Documentation

SoSFFloat SoEnvironment::ambientIntensity

| A global ambient value for the light intensity for the complete scene. This will provide some light even when there are no light sources defined for the scene. Valid values is from 0.0 (no ambient light) to 1.0 (full ambient light intensity). Default value is 0.2.

SoSFColor SoEnvironment::ambientColor

| The color of the global ambient light. Defaults to full intensity white, ie <1.0, 1.0, 1.0>. Each component of this RGB vector is multiplied with the scalar value of SoEnvironment::ambientIntensity.

SoSFVec3f SoEnvironment::attenuation

| Light attenuation coefficients.

SoSFEnum SoEnvironment::fogType

| The fog model. See SoEnvironment::FoType.

SoSFColor SoEnvironment::fogColor

| Color of fog. Defaults to full intensity white.

SoSFFloat SoEnvironment::fogVisibility

| The "cut-off" distance from the camera where objects will be totally obscured by fog. If set to 0.0, the far plane distance will be used instead. Default value is 0.0.

The documentation for this class was generated from the following files:

- SoEnvironment.h
- SoEnvironment.cpp